
Summary: LDAP authorization module for the Apache HTTP Server
Name: mod_authz_ldap
Version: 0.26
Release: 2
License: BSD
Group: System Environment/Daemons
URL: http://authzldap.othello.ch/
Source0: %{name}-%{version}.tar.gz
Source1: mod_authz_ldap.conf
Patch1: mod_authz_ldap-0.22-hook.patch
Patch2: mod_authz_ldap-0.22-passlog.patch
Patch3: mod_authz_ldap-0.25-build.patch
Patch4: mod_authz_ldap-0.26-subreq.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: httpd-devel, openssl-devel, openldap-devel
Requires: httpd-mmn = %(cat %{_includedir}/httpd/.mmn || echo httpd-devel missing)
Requires: openldap
Obsoletes: auth_ldap

%description
The mod_authz_ldap package provides support for authenticating
users of the Apache HTTP server against an LDAP database.
mod_authz_ldap features the ability to authenticate users based on
the SSL client certificate presented, and also supports password
aging, and authentication based on role or by configured filters.

%prep
%setup -q
%patch1 -p1 -b .hook
%patch2 -p1 -b .passlog
%patch3 -p1 -b .build
%patch4 -p1 -b .subreq

%build
libtoolize --copy --force && aclocal && autoconf
export CPPFLAGS="`apu-config --includes` -I%{_includedir}/openssl"
%configure --with-apxs=%{_sbindir}/apxs --disable-static
cd module
%{_sbindir}/apxs -c -o mod_authz_ldap.la *.c -DAUTHZ_LDAP_HAVE_SSL

%install
rm -rf $RPM_BUILD_ROOT

make -C tools install DESTDIR=$RPM_BUILD_ROOT
make -C docs install DESTDIR=$RPM_BUILD_ROOT

# install the DSO
mkdir -p $RPM_BUILD_ROOT%{_libdir}/httpd/modules
install -m 755 module/.libs/mod_authz_ldap.so $RPM_BUILD_ROOT%{_libdir}/httpd/modules

# install the conf.d fragment
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/httpd/conf.d
install -m 644 $RPM_SOURCE_DIR/mod_authz_ldap.conf \
   $RPM_BUILD_ROOT%{_sysconfdir}/httpd/conf.d/authz_ldap.conf

rm -f $RPM_BUILD_ROOT%{_libdir}/httpd/modules/{*.la,*.so.*}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{_sysconfdir}/httpd/conf.d/authz_ldap.conf
%{_libdir}/httpd/modules/*.so
%{_bindir}/cert*
%{_mandir}/man1/cert*
%doc ldap/*.schema docs/*.{html,jpg} docs/*.{HOWTO,txt} docs/README
%doc NEWS AUTHORS ChangeLog COPYING INSTALL

%changelog
* Mon Oct  4 2004 Joe Orton <jorton@redhat.com> 0.26-2
- fix auth failures when not configured (#134496)

* Fri Jun 18 2004 Joe Orton <jorton@redhat.com> 0.26-1
- update to 0.26, fix build
- add fix for extern/static conflict

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri May 21 2004 Joe Orton <jorton@redhat.com> 0.25-1
- update to 0.25

* Fri Sep  5 2003 Joe Orton <jorton@redhat.com> 0.22-3
- don't log the password on auth failure
- obsolete auth_ldap

* Mon Aug  4 2003 Joe Orton <jorton@redhat.com> 0.22-2
- hook up to ssl_var_lookup() in mod_ssl correctly
- include example conf file

* Mon Jun 30 2003 Joe Orton <jorton@redhat.com> 0.22-1
- Initial build.


